Copy a Note to another Task
1 min
POST
https://dev1.frontu.com//client/api/v2/note/copy
Body Parameters
- bodyobject
- notestringrequiredDescription
- taskstringrequiredDescription
Responses
201
- object
- versioninteger
- titlestring
- visibleboolean
- imagestring
- imagesstring[]
- taskobject
- taskTemplatestring
- userobject
- workspaceobject
- guidstring
- createdstring
- updatedstring
- deletedboolean
- systemIdstring
- evaluationNoteboolean
400
curl
curl --request POST \
--url https://dev1.frontu.com//client/api/v2/note/copy \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"note": "",
"task": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"note": "",
"task": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://dev1.frontu.com//client/api/v2/note/copy", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev1.frontu.com//client/api/v2/note/copy")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"note": "",
"task": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev1.frontu.com//client/api/v2/note/copy"
payload = json.dumps({
"note": "",
"task": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Returned when successfully created
{
"version": 0,
"title": "",
"visible": false,
"image": "",
"images": [
""
],
"task": {},
"taskTemplate": "",
"user": {},
"workspace": {},
"guid": "",
"created": "",
"updated": "",
"deleted": false,
"systemId": "",
"evaluationNote": false
}400
// Form validation errors